﻿<?php
/**
* @copyright	Copyright (C) 2013 - JoomSpirit. All rights reserved.
*/

defined('_JEXEC') or die('Restricted access');

$path = $this->baseurl.'/templates/'.$this->template;

if ($this->params->get('fontSize') == '') 
{ $fontSize ='0.85em'; } 
else { $fontSize = $this->params->get('fontSize'); }

JHtml::_('bootstrap.framework');

$filepath = JURI::root(true).'/templates/'.$this->template;
$doc = JFactory::getDocument();

$doc->addStyleSheet(JURI::root(true).'/templates/system/css/general.css' , 'text/css', 'all');

$doc->addStyleSheet($filepath.'/css/bootstrap.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/font-awesome.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/template.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/print.css' , 'text/css', 'print');
$doc->addStyleSheet($filepath.'/css/custom.css' , 'text/css', 'print');

$space_font_name   = array("+");
if ( $this->params->get('custom_font_website_title') != '' ) { $font_website_title = $this->params->get('custom_font_website_title') ; } else { $font_website_title = $this->params->get('font_website_title') ; }
if ( $this->params->get('custom_font_menu') != '' ) { $font_menu = $this->params->get('custom_font_menu') ; } else { $font_menu = $this->params->get('font_menu') ; }
if ( $this->params->get('custom_font_h1') != '' ) { $font_h1 = $this->params->get('custom_font_h1') ; } else { $font_h1 = $this->params->get('font_h1') ; }
if ( $this->params->get('custom_font_h2') != '' ) { $font_h2 = $this->params->get('custom_font_h2') ; } else { $font_h2 = $this->params->get('font_h2') ; }
if ( $this->params->get('custom_font_content') != '' ) { $font_content = $this->params->get('custom_font_content') ; } else { $font_content = $this->params->get('font_content') ; }

// 		find the position of the caracter ":"
function sep_font($font)
{
    $pos=strpos($font, ":");
    $length=strlen($font);
    if ($pos !== false)
    {
        return $pos ;
    }
    else
    {
        return $length ;
    }
}

// load all non standard fonts from Google
$defaultFonts = array('Arial', 'Verdana', 'Trebuchet ms', 'Helvetica', 'Georgia', 'Times new roman');
$allFonts = array($font_content, $font_menu, $font_website_title, $font_h1, $font_h2);
$googleFonts = array_diff($allFonts, $defaultFonts);
foreach ($googleFonts as $loadFont) {
	$doc->addStyleSheet('http://fonts.googleapis.com/css?family=' .$loadFont, 'text/css', 'all');
}
	
?>

<!doctype html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >	

<head>

<jdoc:include type="head" />
<?php JFactory::getDocument()->setGenerator(''); ?>		<!-- 	hide the meta tag generator for website security 		-->


	<!-- 		Template manager variables			-->
	<style type="text/css">
		
		/** 	COLOR 			**/
		
		.website-header, .bg-image-module, .isStuck {
		background-color : #<?php echo $this->params->get('color_top_bg') ; ?>;
		}
			
		.drop-down li a, .drop-down li span.separator {
		color:#<?php echo $this->params->get('color_main_menu_item') ; ?>;
		}		
		.drop-down li.active > a, .drop-down li.active > span, .drop-down li:hover > a, .drop-down li:hover > span {
		color:#<?php echo $this->params->get('color_main_menu_item_active') ; ?>;
		border-color : #<?php echo $this->params->get('color_main_menu_item_active') ; ?>;
		}
		.drop-down li li a, .drop-down li li span.separator {
		color:#<?php echo $this->params->get('color_main_menu_subitem') ; ?>;
		}		
		.drop-down li li.active > a, .drop-down li li.active > span, .drop-down li li:hover > a, .drop-down li li:hover > span {
		color:#<?php echo $this->params->get('color_main_menu_subitem_active') ; ?>;
		}
		
		a {
		color: #<?php echo $this->params->get('color_link') ; ?>;
		}		
		input[type="submit"], button, .breadcrumb a:hover, .vertical_menu li a:hover,
		.slogan-module li a:hover, .bottom_menu li a:hover, a:hover, .contact .open a {
		color: #<?php echo $this->params->get('color_link_hover') ; ?>;
		}		
		.horizontal_menu li.current > a {
		background: #<?php echo $this->params->get('color_link_hover') ; ?>;
		}		
		.vertical_menu li.current > a {
		background: #<?php echo $this->params->get('color_link_hover') ; ?>;
		}
		
		/**		TITLE 		**/		

		h1, .componentheading, h1 a, h1 a:hover, .blog > h1, .blog > h2 {
		color: #<?php echo $this->params->get('colorh1') ; ?>;
		}		
		h2, h2 a, h2.contentheading > a , h1 + h1 > a {
		color: #<?php echo $this->params->get('colorh2') ; ?>;
		}		
		.left_column h3, .right-module-position h3, .top-module-position h3, .bottom-module-position h3,
		.user1 h3, .user2 h3, .user3 h3, .user4 h3, .user5 h3, .user6 h3, .user7 h3, .user8 h3, .user9 h3 {
		color: #<?php echo $this->params->get('colorh2') ; ?>;
		}
				
		/**		FONT	**/
				
		.drop-down li a, .drop-down li span.separator {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_menu,0,sep_font($font_menu)) ) ; ?>', sans-serif;
		}
		.drop-down ul {
		font-size : <?php echo $this->params->get('main_menu_fontsize') ; ?>;
		}
		h1, .componentheading, .blog > h1, .blog > h2 {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_h1,0,sep_font($font_h1)) ) ; ?>', sans-serif;
		font-size : <?php echo $this->params->get('h1_fontsize') ; ?>;
		}
		h1 + h1, h2, h3, h4, h5,
		.left_column h3, .right-module-position h3, .top-module-position h3, .bottom-module-position h3, .user1 h3, .user2 h3, .user3 h3, 
		.user4 h3, .user5 h3, .user6 h3, .user7 h3, .user8 h3, .user9 h3 {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_h2,0,sep_font($font_h2)) ) ; ?>', sans-serif;
		}
		.left_column h3, .right-module-position h3, .top-module-position h3, .bottom-module-position h3, .user1 h3, .user2 h3, .user3 h3, 
		.user4 h3, .user5 h3, .user6 h3, .user7 h3, .user8 h3, .user9 h3 {
		font-size : <?php echo $this->params->get('module_title_fontsize') ; ?>;
		}
		h1 + h1, h2 {
		font-size : <?php echo $this->params->get('h2_fontsize') ; ?>;
		}
		h3 {
		font-size : <?php echo $this->params->get('h3_fontsize') ; ?>;
		}
		h4 {
		font-size : <?php echo $this->params->get('h4_fontsize') ; ?>;
		}
		h5 {
		font-size : <?php echo $this->params->get('h5_fontsize') ; ?>;
		}
		
		/**			Width 		**/
		 
		.wrapper-website {
		width : <?php echo $this->params->get('width_website') ; ?>;
		}		
		.left_column {
		width:<?php echo $this->params->get('width_left') ; ?>;
		}
		.right_column {
		width:<?php echo $this->params->get('width_right') ; ?>;
		}
		
		.image-module .wrapper-website {
		width:<?php echo $this->params->get('width_slideshow') ; ?>;
		}

		@media screen and (min-width: 980px) and (max-width: <?php echo $this->params->get('width_website') ; ?>) {
			
			.wrapper-website-content, .wrapper-website-footer {
			width : 98%;
			}		
		
		}
		
	</style>

	<?php if ( $this->params->get('responsive') == 'yes') : ?>
		
		<meta name="viewport" content="initial-scale=1" />
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/media_queries.css" type="text/css" media="all" />
		
		<!--		Fixed a bug with Abndroid 4 and select field (see Boostrap doc) 	-->
		<script type="text/javascript">
		var nua = navigator.userAgent
		var isAndroid = (nua.indexOf('Mozilla/5.0') > -1 && nua.indexOf('Android ') > -1 && nua.indexOf('AppleWebKit') > -1 && nua.indexOf('Chrome') === -1)
		if (isAndroid) {
		  $('select.form-control').removeClass('form-control').css('width', '100%')
		}
		</script>
		
	<?php else : ?>
	
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/media_queries_no_responsive.css" type="text/css" media="all" />
	
	<?php endif; ?>
	
	<link rel="stylesheet" href="<?php echo $filepath ?>/css/custom.css" type="text/css" media="all" />
	
	<!--[if lte IE 8]>
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/ie8.css" type="text/css" />
		<script type="text/javascript" src="<?php echo $filepath ?>/lib/js/html5.js"></script>
	<![endif]-->
	
	<!--[if lte IE 7]>
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/ie7.css" type="text/css" />	
	<![endif]-->


</head>


<body class="contentpane" style="font-size:<?php echo $fontSize ; ?>;color : #<?php echo $this->params->get('color_text_general') ; ?>;font-family: '<?php echo str_replace($space_font_name," ",substr($font_content,0,sep_font($font_content)) ) ; ?>', sans-serif;"  class=" <?php if ( $this->params->get('uppercase') == 'yes') : ?>text-uppercase<?php endif ; ?>">

	<section class="website-content clearfix zindex10" >
		<div class="wrapper-website zindex10">
			<div class="main_content">
				<div class="main_component clearfix" role="main">
					<jdoc:include type="message" />
					<jdoc:include type="component"/>
				</div>
			</div>
		</div>
	</section>

</body>
</html>	